# Visualization
TKV3d
AIS

# AIS_DataMapOfILC Class Reference

`#include <AIS_DataMapOfILC.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | AIS_DataMapOfILC (const Standard_Integer NbBuckets=1)
Standard_EXPORT AIS_DataMapOfILC & | Assign (const AIS_DataMapOfILC &Other)
AIS_DataMapOfILC & | operator= (const AIS_DataMapOfILC &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~AIS_DataMapOfILC ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const Handle(AIS_LocalContext)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const Handle_AIS_LocalContext & | Find (const Standard_Integer &K) const
const Handle_AIS_LocalContext & | operator() (const Standard_Integer &K) const
Standard_EXPORT Handle_AIS_LocalContext & | ChangeFind (const Standard_Integer &K)
Handle_AIS_LocalContext & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | AIS_DataMapOfILC (const AIS_DataMapOfILC &Other)

## Constructor & Destructor Documentation

Standard_EXPORT AIS_DataMapOfILC::AIS_DataMapOfILC | ( | const Standard_Integer | NbBuckets = `1` | ) |

AIS_DataMapOfILC::~AIS_DataMapOfILC | ( |  | ) | `[inline]`

Standard_EXPORT AIS_DataMapOfILC::AIS_DataMapOfILC | ( | const AIS_DataMapOfILC & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT AIS_DataMapOfILC& AIS_DataMapOfILC::Assign | ( | const AIS_DataMapOfILC & | Other | ) |

Standard_EXPORT Standard_Boolean AIS_DataMapOfILC::Bind | ( | const Standard_Integer & | K,
|  | const Handle(AIS_LocalContext)& | I
| ) |

Standard_EXPORT Handle_AIS_LocalContext& AIS_DataMapOfILC::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void AIS_DataMapOfILC::Clear | ( |  | ) |

Standard_EXPORT const Handle_AIS_LocalContext& AIS_DataMapOfILC::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean AIS_DataMapOfILC::IsBound | ( | const Standard_Integer & | K | ) | const

void AIS_DataMapOfILC::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS_DataMapOfILC::operator new | ( | size_t | size | ) | `[inline]`

void* AIS_DataMapOfILC::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_AIS_LocalContext& AIS_DataMapOfILC::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const Handle_AIS_LocalContext& AIS_DataMapOfILC::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

AIS_DataMapOfILC& AIS_DataMapOfILC::operator= | ( | const AIS_DataMapOfILC & | Other | ) | `[inline]`

Standard_EXPORT void AIS_DataMapOfILC::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean AIS_DataMapOfILC::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- AIS_DataMapOfILC.hxx